#ifndef __SSD1963_TOUCH_H
#define __SSD1963_TOUCH_H

#include "stm32f4xx.h"
#include "SSD1963.h"

#define TSC_I2C_DEVICE_REGISTER     0x82
  #define TSC_I2C_PORT              I2C1
  #define TSC_I2C_CLK               RCC_APB1Periph_I2C1
  #define TSC_I2C_SDA_GPIO_PIN      GPIO_Pin_6
  #define TSC_I2C_SDA_GPIO_PORT     GPIOB
  #define TSC_I2C_SDA_GPIO_CLK      RCC_APB2Periph_GPIOB
  #define TSC_I2C_SDA_SOURCE        GPIO_PinSource6
  #define TSC_I2C_SDA_AF            GPIO_Remap_I2C1
  #define TSC_I2C_SCL_GPIO_PIN      GPIO_Pin_7
  #define TSC_I2C_SCL_GPIO_PORT     GPIOB
  #define TSC_I2C_SCL_GPIO_CLK      RCC_APB2Periph_GPIOB
  #define TSC_I2C_SCL_SOURCE        GPIO_PinSource7
  #define TSC_I2C_SCL_AF            GPIO_Remap_I2C1
  #define TSC_GPIO_PIN_SOURCE       GPIO_PinSource5
  #define TSC_IT_EXTI_PIN_SOURCE    GPIO_PinSource14
  #define TSC_GPIO_PORT_SOURCE      GPIO_PortSourceGPIOB
  #define JOY_GPIO_PORT_SOURCE      GPIO_PortSourceGPIOB
  #define TSC_EXTI_IRQ_CHANNEL      EXTI15_10_IRQn
  #define JOY_EXTI_IRQ_CHANNEL      EXTI15_10_IRQn
  #define TSC_EXTI_LINE             EXTI_Line5
  #define JOY_EXTI_LINE             EXTI_Line14
  #define TSC_IT_GPIO_CLK           RCC_APB2Periph_GPIOB
  #define TSC_IT_GPIO_PORT          GPIOB
  #define TSC_IT_GPIO_PIN           GPIO_Pin_5

void LCD_Cross(uint16_t Ypos, uint16_t Xpos);

#endif /* __SSD1963_TOUCH_H */
