#include "stm32f4xx.h"
#include "SSD1963_touch.h"

/**
  * @brief  Displays a Cross.
  * @param  Xpos: specifies the left X position.
  * @param  Ypos: specifies the botton Y position.
  * @retval None
  */
void LCD_Cross(uint16_t Ypos, uint16_t Xpos)
{
  LCD_Line(Xpos - 30, Ypos, Xpos + 30, Ypos, BLACK); /* Horizontal Line */
  LCD_Line(Xpos, Ypos - 30, Xpos, Ypos + 30, BLACK);   /* Vertical Line   */
}
